Bug Hunting Session
Bug 114550 - OpenPGP decryption does not work
Summary: OpenPGP decryption does not work
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
6.0.0.0.beta2
Hardware: All All
: medium normal
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard: target:6.0.1 target:6.1.0 target:6.0.0
Keywords:
Depends on:
Blocks: 89037
  Show dependency treegraph
 
Reported: 2017-12-19 08:11 UTC by Thorsten Behrens (CIB)
Modified: 2018-12-20 00:05 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Behrens (CIB) 2017-12-19 08:11:54 UTC
Description:
Save a file in 6.0 beta2 with GPG encryption enabled, does not currently load back

Steps to Reproduce:
.

Actual Results:  
.

Expected Results:
.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Commit Notification 2018-01-13 13:18:55 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=01c7a60c051ac4562e3a317dde3c29c507f3f40b&h=libreoffice-6-0

tdf#114550: load back PGP encrypted files

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2018-01-13 13:35:02 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eea58228eabec225cfec49932ae0c7b0d79fdc7f

tdf#114550 use 32 bit random session key for gpg encryption

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-01-13 13:36:23 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6df0c7bc230a424f5aefe583b591df70c6273b6f

tdf#114550 recognize sym key & init vec as valid f/ decrypt

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-01-13 13:37:44 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=39805f65189cd0085fe8f1071ae75cdec450c65e

tdf#114550 don't use PBKDF2 in package for gpg encryption

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Thorsten Behrens (CIB) 2018-01-13 13:41:46 UTC
All landed now, review for 6.0.0 pending at https://gerrit.libreoffice.org/47834
Comment 6 Commit Notification 2018-01-15 13:07:14 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=534d31fc2f06f36d7eb5d33cb6cb71f487c58586&h=libreoffice-6-0-0

tdf#114550: load back PGP encrypted files

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Cabia Rangris 2018-12-20 00:05:42 UTC
For ones on older versions not willing to go to beta just to decrypt your files, I made a python script: https://github.com/cab404/libreFromGPG